<script setup lang="ts">
import UserApiV1 from '@/api/userApi'
import { onMounted, ref } from 'vue'
import { useRoute } from 'vue-router'

// Ref for user data, initialized with default structure
const userData = ref({ id: 0 })

// Access route parameters
const route = useRoute()
const users = new UserApiV1()

// Method to fetch user data
const getUser = async () => {
  try {
    const responseUserData = await users.getUserById(route.params.id)

    userData.value = responseUserData.data.data
    console.log('getUser userData:', userData.value)
  }
  catch (error) {
    console.error('error getUserById', error)
  }
};

// Mounted lifecycle hook
onMounted(getUser)
</script>

<template>
  <SettingsTemplate>
    <FullUserFormTemplateAdmin :user-data="userData" />
  </SettingsTemplate>
</template>
